Commit 8ba73b2d authored by Felix Abecassis US's avatar Felix Abecassis US

Hold back the cuDNN and NCCL packages, to avoid automatic upgrades

Signed-off-by: Felix Abecassis US's avatarFelix Abecassis <fabecassis@nvidia.com>
parent 4d6fba12
......@@ -8,4 +8,5 @@ LABEL com.nvidia.cudnn.version="${CUDNN_VERSION}"
RUN apt-get update && apt-get install -y --no-install-recommends \
libcudnn7=$CUDNN_VERSION-1+cuda9.2 \
libcudnn7-dev=$CUDNN_VERSION-1+cuda9.2 && \
apt-mark hold libcudnn7 && \
rm -rf /var/lib/apt/lists/*
......@@ -8,4 +8,5 @@ RUN apt-get update && apt-get install -y --no-install-recommends \
cuda-libraries-$CUDA_PKG_VERSION \
cuda-nvtx-$CUDA_PKG_VERSION \
libnccl2=$NCCL_VERSION-1+cuda9.2 && \
apt-mark hold libnccl2 && \
rm -rf /var/lib/apt/lists/*
......@@ -7,4 +7,5 @@ LABEL com.nvidia.cudnn.version="${CUDNN_VERSION}"
RUN apt-get update && apt-get install -y --no-install-recommends \
libcudnn7=$CUDNN_VERSION-1+cuda9.2 && \
apt-mark hold libcudnn7 && \
rm -rf /var/lib/apt/lists/*
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment